/////////////////////////////////////////////////////////////////////////////
// File:        config.h
// Author:      Cesar Mauri Loba (cesar at crea-si dot com)
// Copyright:   (C) 2010-10 Cesar Mauri Loba - CREA Software Systems
// 
//  This program is free software: you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation, either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program.  If not, see <http://www.gnu.org/licenses/>.
/////////////////////////////////////////////////////////////////////////////
#pragma once

#define APP_NAME "@APP_NAME@"

// uses WX
#cmakedefine ENABLE_WXWIDGETS

// uses i18n support
#cmakedefine ENABLE_NLS

#ifndef WIN32
// This path is not realiable on Win32 because user would choose
// a diferent directory to install
#define INSTALL_PREFIX "@CMAKE_INSTALL_PREFIX@"
#endif

//
// Directories
//
#define SP_BINDIR			"@BINDIR@"
#define SP_DOCDIR			"@DOCDIR@"
#define SP_LIBDIR			"@LIBDIR@"
#define	SP_LOCALEDIR 		"@LOCALEDIR@"
#define SP_DATADIR 			"@DATADIR@"
#define SP_PLUGINDIR 		"@PLUGINDIR@"
#define SP_LIBRUNTIMEDIR 	"@LIBRUNTIMEDIR@"

#ifndef NDEBUG
// Debug mode directories
#define PROJECT_SOURCE_DIR "@PROJECT_SOURCE_DIR@"

#define PROJECT_BINARY_DIR "@PROJECT_BINARY_DIR@"
#endif

// minimum windows version (for windows.h include)
#ifdef WIN32
	#ifndef _WIN32_WINNT
		#cmakedefine _WIN32_WINNT @_WIN32_WINNT@
	#endif
#endif